# Default values for kuiper.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: emqx/kuiper
  pullPolicy: IfNotPresent

service:
  ## Service type
  ##
  type: ClusterIP
  ## Port for Kuiper
  ##
  kuiper: 20498
  ## Port for RestApi
  ##
  restapi: 9081
  ## Specify the nodePort(s) value for the LoadBalancer and NodePort service types.
  ## ref: https://kubernetes.io/docs/concepts/services-networking/service/#type-nodeport
  ##
  nodePorts:
    kuiper:
    restapi:
  ## Set the LoadBalancer service type to internal only.
  ## ref: https://kubernetes.io/docs/concepts/services-networking/service/#internal-load-balancer
  ##
  # loadBalancerIP:
  ## Load Balancer sources
  ## ref: https://kubernetes.io/docs/tasks/access-application-cluster/configure-cloud-provider-firewall/#restrict-access-for-loadbalancer-service
  ## Example:
  ## loadBalancerSourceRanges:
  ## - 10.10.10.0/24
  ##
  loadBalancerSourceRanges: []
  ## Provide any additional annotations which may be required. Evaluated as a template
  ##
  annotations: {}

persistence:
  enabled: false
  size: 20Mi
  ## If defined, volume.beta.kubernetes.io/storage-class: <storageClass>
  ## Default: volume.alpha.kubernetes.io/storage-class: default
  # storageClass: "-"
  accessMode: ReadWriteOnce
  ## Existing PersistentVolumeClaims
  ## The value is evaluated as a template
  ## So, for example, the name can depend on .Release or .Chart
  # existingClaim: ""

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}

kuiperConfig:
  "client.yaml":
    basic:
      host: 127.0.0.1
      port: 20498
  "kuiper.yaml":
    basic:
      # true|false, with debug level, it prints more debug info
      debug: false
      consoleLog: false
      fileLog: true
      port: 20498
      restPort: 9081
      prometheus: false
      prometheusPort: 20499
  "mqtt_source.yaml":
    #Global MQTT configurations
    default:
      qos: 1
      sharedSubscription: true
      servers: [tcp://127.0.0.1:1883]
      concurrency: 1
      #username: user1
      #password: password
      #certificationSecretName: Secret resource name created for certification file
      #certificationPath: /var/kuiper/xyz-certificate.pem
      #privateKeySecretName: Secret resource name created for certification file
      #privateKeyPath: /var/kuiper/xyz-private.pem.key
    #Override the global configurations
    demo_conf: #Conf_key
      qos: 0
      servers: [tcp://10.211.55.6:1883, tcp://127.0.0.1]
  "sources/edgex.yaml":
    #Global Edgex configurations
    default:
      protocol: tcp
      server: localhost
      port: 5563
      topic: events
      serviceServer: http://localhost:48080
    #  optional:
    #    ClientId: client1
    #    Username: user1
    #    Password: password
    #Override the global configurations
    application_conf: #Conf_key
      protocol: tcp
      server: localhost
      port: 5571
      topic: application
  "sources/random.yaml":
    default:
      interval: 1000
      pattern:
        count: 50
    ext:
      interval: 300
      seed: 1
      pattern:
        count: 50
  "sources/zmq.yaml":
    #Global Zmq configurations
    default:
      server: tcp://127.0.0.1:5563
